package circles;

import java.awt.Graphics;
import java.awt.Point;

public class Circle {

    int cx;
    int cy;
    int r;
    public Circle(int cx, int cy, int r) {
	this.cx=cx;
	this.cy=cy;
	this.r=r;
    }
    
    static Circle getCircle(Point c, Point t){
	//za dve date tacke vraca krug sa centrom u 
	//prvoj tacki i poluprecnikom koji odgovara
	//razdaljini izmedju prve i druge tacke
	int r=(int)(Math.pow((c.x-t.x)*(c.x-t.x)+(c.y-t.y)*(c.y-t.y), 0.5));
	return new Circle(c.x, c.y, r);
    }
    
    void drawSelf(Graphics g){
	g.drawOval(cx-r, cy-r, 2*r, 2*r);
    }
}
